[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| RedAccessor Class Template Reference |
--- | --- | ---

`#include "vigra/rgbvalue.hxx"`

## Public Methods

template<class ITERATOR> value_type const & | operator() (ITERATOR const &i) const
template<class ITERATOR, class DIFFERENCE> value_type const & | operator() (ITERATOR const &i, DIFFERENCE d) const
template<class V, class ITERATOR> void | set (V value, ITERATOR const &i) const
template<class V, class ITERATOR, class DIFFERENCE> void | set (V value, ITERATOR const &i, DIFFERENCE d) const

## Detailed Description

### template<class RGBVALUE>
class vigra::RedAccessor< RGBVALUE >

Encapsulate access to red band of an rgb value.

#include "vigra/rgbvalue.hxx"
Namespace: vigra

## Member Function Documentation

value_type const& operator() | ( | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Get value of the red component at an offset

value_type const& operator() | ( | ITERATOR const & | i | ) | const`[inline]`

| Get value of the red component

void set | ( | V | value,
|  | ITERATOR const & | i,
|  | DIFFERENCE | d
| ) | const`[inline]`

| Set value of the red component at an offset. The type `V` of the passed in `value` is automatically converted to `value_type`.

void set | ( | V | value,
|  | ITERATOR const & | i
| ) | const`[inline]`

| Set value of the red component. The type `V` of the passed in `value` is automatically converted to `value_type`.

The documentation for this class was generated from the following file:

- vigra/rgbvalue.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)